cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/app-connections/digital-ocean/{connectionId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": false,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": false,
"rotation": "<unknown>"
}
'import requests
url = "https://us.infisical.com/api/v1/app-connections/digital-ocean/{connectionId}"
payload = {
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": False,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": False,
"rotation": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPlatformManagedCredentials: false,
gatewayId: '<unknown>',
gatewayPoolId: '<unknown>',
isAutoRotationEnabled: false,
rotation: '<unknown>'
})
};
fetch('https://us.infisical.com/api/v1/app-connections/digital-ocean/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appConnection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"app": "digital-ocean",
"method": "api-token",
"credentials": {},
"description": "<string>",
"version": 1,
"isPlatformManagedCredentials": false,
"gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"isAutoRotationEnabled": false,
"gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rotation": {
"rotationInterval": 123,
"rotateAtUtc": {
"hours": 123,
"minutes": 123
},
"lastRotationMessage": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z"
},
"credentialsHash": "<string>",
"project": {
"name": "<string>",
"id": "<string>",
"type": "<string>",
"slug": "<string>"
}
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Digital Ocean
Update
Update the specified DigitalOcean App Platform Connection.
PATCH
/
api
/
v1
/
app-connections
/
digital-ocean
/
{connectionId}
cURL
Check out the configuration docs for Digital Ocean Connections to learn how to obtain the required credentials.
Path Parameters
The ID of the DigitalOcean App Platform Connection to be updated.
Body
application/json
The credentials used to connect with DigitalOcean App Platform.
Show child attributes
Show child attributes
The updated name of the DigitalOcean App Platform Connection. Must be slug-friendly.
Required string length:
1 - 64The updated description of the DigitalOcean App Platform Connection.
Maximum string length:
256Not supported for DigitalOcean App Platform Connections.
Available options:
false Not supported for DigitalOcean App Platform Connections.
Not supported for DigitalOcean App Platform Connections.
Not supported for DigitalOcean App Platform Connections.
Available options:
false Not supported for DigitalOcean App Platform Connections.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I